UNIT F_datoteka;
        (* unit koji opisuje objekat tipa datoteke *)
INTERFACE(************************************************************)
        USES U_film,Crt;
        TYPE
         TPod=record
         naslov:TSlova_40;
         uloge:TSlova_40;
         zanr:Char;
         status:Char; (* 'Z' ako je zauzet, 'S' ako je slobodan *)
         kataloski_broj:String;
         end;
         TFilmovi=Array [1..20] of Film;

         TDatoteka=File of TPod; (* formira se datoteka tipa Pod *)

         F_dato=Object   (* objekat F_dato *)
          dat:TDatoteka;     (* atribut tipa 'Datoteka' *)
                                                    (* metode *)
          Procedure Upisivanje(fil: TFilmovi);(* za upisivanje u datoteku *)
          Procedure Ucitavanje(var fil:TFilmovi);(* i za ucitavanje iz datoteke *)

        End;

IMPLEMENTATION(********************************************************)

        Procedure F_dato.Upisivanje(fil:TFilmovi);
        Var
          pom_s:TPod;
          i:Integer;
        Begin
        (* 1. -LP- otvara datoteku za upis *)
          assign(dat,'Filmovi.dat');
          rewrite(dat);
        (* 2. -1CP/3- uzima podatke iz niza i upisuje u datoteku *)
          for i:=1 to 20 do (* Sve dok se ne dodje do kraja niza *)
           begin
             with pom_s do
              begin
                naslov:=fil[i].f_naslov;
                uloge:=fil[i].f_uloge;
                zanr:=fil[i].f_zanr;
                status:=fil[i].f_status;
                kataloski_broj:=fil[i].f_kataloskibroj;
              end;
             write(dat,pom_s);
           end; (* Kraj Datoteke *)
        (* 3. -P- zatvara datoteku *)
          close(dat);
        End(*F_dato.Upisivanje*);

        Procedure F_dato.Ucitavanje(var fil:TFilmovi);
        Var
          pom_s :TPod;
          j,i:Integer;
        Begin
        (* 1. -LP- otvara datoteku za citanje *)
          assign(dat,'filmovi.dat');
          reset(dat);
          i:=1;
        (* 2. -1CP/4- cita datoteku i podatke prebacuje u niz *)
          while not EOF(dat) do
           begin
             read(dat,pom_s);
             with pom_s do
              begin
                fil[i].p_naslov(naslov);
                fil[i].p_uloge(uloge);
                fil[i].p_zanr(zanr);
                fil[i].p_status(status);
                fil[i].p_kataloskibroj(kataloski_broj);
              end;
             i:=i+1;
           end;   (* Kraj datoteke *)
        (* 3. -P- zatvara datoteku *)
          close(dat);
        End(*F_dato.Ucitavanje*);
END.(******************************************************************)
