UNIT U_Film;
        (* osnovni podaci o svakom filmu *)
INTERFACE(************************************************************)
        TYPE
         TSlova_40=String[40];  (* string duzine najvise 40 karaktera *)
         TSlova_100=String[100];  (* string duzine najvise 100 karaktera *)


         Film=Object   (* objekat 'film' sa svojim atributima i metodama *)
          Private (* privatni deo kome se pristupa samo preko metoda ovog objekta*)
          naslov:TSlova_40;
          uloge:TSlova_100;
          zanr:Char;
          status:Char; (* 'Z' ako je zauzet, 'S' ako je slobodan *)
          kataloski_broj:TSlova_40;

          Public
          Procedure Init;    (* inicijalizacija podataka objekta *)
          Procedure P_naslov(const naslov_p:TSlova_40);(* Sledece procedure *)
          Procedure P_uloge(const uloge_p:TSlova_100);  (* postavljaju *)
          Procedure P_zanr(const zanr_p:Char);        (* vrednosti*)
          Procedure P_status(const status_p:Char);    (* u atribute objekta *)
          Procedure P_kataloskibroj(const kataloskibroj_p:TSlova_40);
          Procedure Stampaj;     (* procedura koja stampa atribute objekta*)
          Function F_naslov:TSlova_40; (* Sledece funkcije  uzimaju*)
          Function F_uloge:TSlova_100;  (* podatke  iz atributa i *)
          Function F_zanr:Char;       (* prosledjuju  ih onome *)
          Function F_status:Char;     (*  ko ih je trazio *)
          Function F_kataloskibroj:TSlova_40;

        End;

IMPLEMENTATION(*******************************************************)

        Procedure Film.Init;(* podaci dobijaju pocetne vrednosti *)
        Begin
          naslov:='';
          uloge:='';
          zanr:=' ';
          status:=' ';
          kataloski_broj:='';
        End(*Film.Init*);

        Procedure Film.P_naslov(const naslov_p:TSlova_40);
        Begin
          naslov:=naslov_p;
        End(*Film.P_naslov*);

        Procedure Film.P_uloge(const uloge_p:TSlova_100);
        Begin
          uloge:=uloge_p;
        End(*Film.P_uloge*);

        Procedure Film.P_zanr(const zanr_p:char);
        Begin
          zanr:=zanr_p;
        End(*Film.P_zanr*);

        Procedure Film.P_status(const status_p:char);
        Begin
          status:=status_p;
        End(*Film.P_status*);

        Procedure Film.P_kataloskibroj(const kataloskibroj_p:TSlova_40);
        Begin
          kataloski_broj:=kataloskibroj_p;
        End(*Film.P_kataloskibroj*);

        Procedure Film.Stampaj;
        Begin
          write(' Naziv filma : ');
          writeln(naslov);
          write(' Kataloski broj je : ');
          writeln(kataloski_broj);
          write(' Glavne uloge : ');
          writeln(uloge);
          write(' Zanr filma : ');
           Case zanr of
            'K':writeln(' KOMEDIJA');
            'A':writeln(' AKCIJA ');
            'D':writeln(' DRAMA ');
            'S':writeln(' NAUCNA FANTASTIKA ');
            'T':writeln(' TRILER ');
           end;
          write(' Status : ');
          if status='Z' then
           writeln(' Film ',naslov,' je izdat.')
          else writeln(' Film ',naslov,' nije izdat.');
        End(*Film.Stampaj*);

        Function Film.F_naslov:TSlova_40;
        Begin
          f_naslov:=naslov;
        End(*Film.F_naslov*);

        Function Film.F_uloge:TSlova_100;
        Begin
          f_uloge:=uloge;
        End(*Film.F_uloge*);

        Function Film.F_zanr:Char;
        Begin
          f_zanr:=zanr;
        End(*Film.F_zanr*);

        Function Film.F_status:Char;
        Begin
          f_status:=status;
        End(*Film.F_status*);

        Function Film.F_kataloskibroj:TSlova_40;
        Begin
          f_kataloskibroj:=kataloski_broj;
        End(*Film.F_kataloskibroj*);

END.


